@font-face {
	font-family: 'Inter';
	src: url('./../fonts/inter/Inter-Thin.ttf') format('truetype');
	font-weight: 100;
	font-style: normal;
	display: swap;
}

@font-face {
	font-family: 'Inter';
	src: url('./../fonts/inter/Inter-Light.ttf') format('truetype');
	font-weight: 200;
	font-style: normal;
	display: swap;
}

@font-face {
	font-family: 'Inter';
	src: url('./../fonts/inter/Inter-Regular.ttf') format('truetype');
	font-weight: 400;
	font-style: normal;
	display: swap;
}

@font-face {
	font-family: 'Inter';
	src: url('./../fonts/inter/Inter-Medium.ttf') format('truetype');
	font-weight: 500;
	font-style: normal;
	display: swap;
}

@font-face {
	font-family: 'Inter';
	src: url('./../fonts/inter/Inter-SemiBold.ttf') format('truetype');
	font-weight: 600;
	font-style: normal;
	display: swap;
}

@font-face {
	font-family: 'Inter';
	src: url('./../fonts/inter/Inter-Bold.ttf') format('truetype');
	font-weight: 700;
	font-style: normal;
	display: swap;
}

@font-face {
	font-family: 'Inter';
	src: url('./../fonts/inter/Inter-ExtraBold.ttf') format('truetype');
	font-weight: 800;
	font-style: normal;
	display: swap;
}

@font-face {
	font-family: 'Inter';
	src: url('./../fonts/inter/Inter-Black.ttf') format('truetype');
	font-weight: 900;
	font-style: normal;
	display: swap;
}

:root {
	--clr-primary-400: '';
	--clr-secondary-400: '';

	--clr-red-400: #eb4432;

	--clr-neutral-100: hsl(210, 17%, 98%);
	--clr-neutral-150: #f6f6fa;
	--clr-neutral-200: hsl(210, 16%, 93%);
	--clr-neutral-300: hsl(210, 14%, 89%);
	--clr-neutral-400: hsl(210, 14%, 83%);
	--clr-neutral-500: hsl(210, 11%, 71%);
	--clr-neutral-600: hsl(208, 7%, 46%);
	--clr-neutral-700: hsl(210, 9%, 31%);
	--clr-neutral-800: hsl(210, 10%, 23%);
	--clr-neutral-900: hsl(210, 11%, 15%);

	--ff-primary: 'Inter';
	--ff-secondary: '';

	--sidebar-width: 32rem;

	--transition-default: all 250ms;

	--bp-xs: 380;
	--bp-sm: 576;
	--bp-md: 768;
	--bp-lg: 992;
	--bp-xl: 1260;
}

*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

html {
	font-size: 62.5%;
}

body {
	font-family: var(--ff-primary);
	font-size: 1.6rem;
	color: var(--clr-neutral-800);
	-webkit-font-smoothing: antialiased;
	overflow-x: hidden;
}

img,
video,
canvas,
picture,
svg {
	display: block;
	max-width: 100%;
}

ul[role='list'],
ol[role='list'] {
	list-style: none;
}

input:focus {
	outline: none;
	border-color: var(--clr-primary-400);
}

.app {
	min-height: 100vh;
}

.app-flex-1 {
	display: flex;
}

/* Utilities */

.container {
	display: block;
	width: min(1300px, 100%);
	margin-inline: auto;
}

.margin-top-7 {
	margin-top: 7rem;
}

.margin-top-4 {
	margin-top: 4rem;
}

.margin-bottom-1-5 {
	margin-bottom: 1.5rem;
}

.margin-bottom-2 {
	margin-bottom: 2rem;
}

.margin-bottom-3 {
	margin-bottom: 3rem;
}

.show-on-mobile {
	display: none;
}

/* Typography */

.title {
	font-size: 2.9rem;
	color: var(--clr-neutral-800);
	margin-bottom: 4rem;
}

.heading-2 a {
	text-decoration: none;
	color: unset;
}

.heading-2 {
	font-weight: 500;
	color: var(--clr-neutral-800);
}

.heading-2 .tag {
	color: var(--clr-red-400);
	opacity: 0.7;
}

.page-text {
	font-weight: 400;
	line-height: 1.7;
	color: var(--clr-neutral-700);
}

.page-list {
	font-weight: 400;
	line-height: 1.7;
	color: var(--clr-neutral-700);
	padding-left: 4rem;
}

/* Overlay */

.overlay {
	display: none;
	background-color: #000;
	width: 100%;
	height: 100%;
	position: fixed;
	left: 0;
	top: 0;
	opacity: 0.7;
	z-index: 5;
}

.overlay.active {
	display: block;
}

/* Sidebar */

.sidebar {
	background-color: var(--clr-neutral-150);
	max-width: var(--sidebar-width);
	padding: 2rem 5rem;
	width: 100%;
	height: 100vh;
	position: fixed;
	top: 0;
	z-index: 10;
	overflow-y: auto;
	transition: var(--transition-default);
}

.sidebar-logo {
	max-height: 4.8rem;
}

.sidebar-brand {
	font-size: 1.8rem;
	font-weight: 600;
	margin-bottom: 3rem;
}

.sidebar>ul {
	margin-top: 2rem;
}

.sidebar ul li a {
	font-size: 1.6rem;
	text-decoration: none;
	color: unset;
	transition: var(--transition-default);
}

.sidebar ul li a:hover {
	transform: translateX(0.3rem);
}

.sidebar ul li.active>a {
	transform: translateX(0.3rem);
}

.sidebar>ul>li>a {
	font-weight: 600;
	color: var(--clr-neutral-900);
	display: block;
	padding: 2rem 0rem;
	position: relative;
}

.sidebar>ul>li.active>a::before {
	content: '';
	background-color: var(--clr-red-400);
	display: flex;
	width: 0.5rem;
	height: 0.5rem;
	border-radius: 1000vmax;
	opacity: 0.8;
	position: absolute;
	left: 0;
	top: 50%;
	transform: translate(-1rem, -50%);
}

.sidebar>ul ul {
	padding-left: 1rem;
}

.sidebar>ul ul li a {
	display: block;
	padding: 1rem 0rem;
}

/* Main */

.main {
	background-color: #fff;
	flex-grow: 1;
	padding-left: var(--sidebar-width);
}

.main-header {
	background-color: #fff;
	padding: 2rem 5rem;
	width: 100%;
	position: fixed;
	top: 0;
	border-bottom: 0.1rem solid var(--clr-neutral-150);
	z-index: 1;
}

.mobile-menu {
	fill: var(--clr-neutral-800);
	width: 2.6rem;
	height: 2.6rem;
	cursor: pointer;
}

.main-header-heading {
	font-size: 2.2rem;
	font-weight: 600;
}

.main-header-logo {
	height: 5rem;
}

.main-body {
	padding: 2.5rem 5rem;
}

.main-body-img {
	margin-top: 5rem;
	margin-bottom: 5rem;
	border: 0.1rem solid var(--clr-neutral-200);
	border-radius: 0.1rem;
}

.main-body-img-2 {
	width: 60%;
	margin-top: 3rem;
	margin-bottom: 3rem;
	border: 0.1rem solid var(--clr-neutral-200);
	border-radius: 0.1rem;
}

.main-body-boxed {
	width: 100%;
	max-width: 90rem;
}

@media (max-width: 992px) {
	:root {
		--sidebar-width: 29rem;
	}

	.show-on-mobile {
		display: block;
	}

	.sidebar {
		left: -100%;
		padding: 3rem 4rem;
	}

	.sidebar.active {
		left: 0;
	}

	.main {
		padding-left: 0;
	}

	.main-body-img-2 {
		width: 100%;
	}
}